%global build_cflags    %{build_cflags} -std=c++17 -fPIC
%global build_ldflags   %{build_ldflags} -shared

Name:           vkBasalt
Version:        0.2.2
Release:        1%{?dist}
Summary:        Vulkan post processing layer

License:        zlib
URL:            https://github.com/DadSchoorse/vkBasalt
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         vkBasalt-lib-dir.patch

BuildRequires:  gcc-c++ >= 7
BuildRequires:  glibc-devel(x86-32)
BuildRequires:  glslang(x86-32)
BuildRequires:  spirv-tools
BuildRequires:  vulkan-headers
BuildRequires:  vulkan-loader-devel
BuildRequires:  vulkan-tools
BuildRequires:  vulkan-validation-layers-devel

%description
A Vulkan post processing layer. Currently, the only effects are:

- Contrast Adaptive Sharpening
- Fast Approximate Anti-Aliasing
- Enhanced Subpixel Morphological Anti-Aliasing
- Deband/Dithering
- 3D color LookUp Table


%prep
%autosetup -p1
sed -i "s| -std=c++17 -O3 -fPIC -Wall -Wextra -Wno-unused-parameter|%{build_cflags}|" \
    src/makefile

sed -i "s|  -shared  -lstdc++fs -fvisibility=hidden|%{build_ldflags}|" \
    src/makefile



%build
%set_build_flags
%make_build -C src
%make_build -C shader


%install
%make_install -C src \
    INSTALL_DIR=%{buildroot}%{_prefix}/lib/%{name}/ \
    INSTALL_DIR64=%{buildroot}%{_libdir}/%{name}/

%make_install -C shader \
    INSTALL_DIR=%{buildroot}%{_datadir}/%{name}/shader/

%make_install -C config \
    INSTALL_DIR=%{buildroot}%{_datadir}/vulkan/implicit_layer.d \
    LIB32=%{_prefix}/lib/%{name}/libvkbasalt32.so \
    LIB64=%{_libdir}/%{name}/libvkbasalt64.so \
    CONFIG=%{buildroot}%{_datadir}/%{name}/vkBasalt.conf \


%files
%license LICENSE
%doc README.md
%{_datadir}/%{name}
%{_datadir}/vulkan/implicit_layer.d/*
%{_libdir}/%{name}/
%{_prefix}/lib/%{name}/


%changelog
* Mon Dec 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.2-1
- Update to 0.2.2

* Sat Nov 30 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-2
- Update to 0.2.1

* Mon Oct 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.4-5.20191021git3a31052
- Initial package
- Thanks to Vitaly Zaitsev <vitaly@easycoding.org>
